<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title='Товары';
include_once('../system/function.php');
include_once('../system/header.php');
$_GET['id']=abs(intval($_GET['id']));
if(!isset($user)){
	$error='Страница доступна только авторизованным пользователям!';
	}elseif(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `id`='".$_GET['id']."'"))==0){
$error='Пользователя не существует!';
}
if(isset($error)){
	echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
	include_once('../system/footer.php');
	exit();
	}
	echo '<div class="title">Товары пользователя '.nick($_GET['id']).'</div>';
	 if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_goods` WHERE `id_us` = '".$_GET['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$good = mysql_query("SELECT * FROM `shop_goods` WHERE `id_us` = '".$_GET['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($g = mysql_fetch_assoc($good))
{

	echo '<div class="podmenu">';

echo '<a href="/m/tovar.php?id='.$g['id'].'">'.$g['name'].'</a> (Стоит: '.$g['price'].'руб)<br/>';
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_goods`='".$g['id']."'"))<$g['amount']){

}

echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Товаров пока нет!</center></b></div>';

if($k_page>1) echo str(''.$HOME.'/m/shop.php?id='.$_GET['id'].'&',$k_page,$page); // Вывод страниц
echo '<div class="links"><a href="/m">Магазин</a></div>';
include_once('../system/footer.php');
?>